Add values to a dictionary table
POST/api/public/v1/zones/{zone_id}/dictionary/tables/{name}/values beta
Values the zone adds to a table of its chain. A glob, or regex: followed by a pattern the client's engine compiles in bytes mode under its tier-1 NFA limit. 422 INVALID_PATTERN past the caps or for a pattern no client can load; 503 ENGINE_UNAVAILABLE when the engine cannot start, and nothing is saved.
curl --fail-with-body -X POST 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary/tables/<table_name>/values' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"values":["main"]}'import jsonimport osimport urllib.request
body = '{"values":["main"]}'request = urllib.request.Request( 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary/tables/<table_name>/values', method='POST', data=body.encode(), headers={ 'Authorization': 'Bearer ' + os.environ['OPENLATCH_API_KEY'], 'Content-Type': 'application/json', },)with urllib.request.urlopen(request) as response: text = response.read().decode() print(json.dumps(json.loads(text), indent=2) if text else response.status)#!/usr/bin/env bashset -euo pipefail
curl -sS --fail-with-body -X POST 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary/tables/<table_name>/values' \ -H "Authorization: Bearer $OPENLATCH_API_KEY" \ -H 'Content-Type: application/json' \ -d '{"values":["main"]}' | jq .$headers = @{ Authorization = "Bearer $env:OPENLATCH_API_KEY"}$body = '{"values":["main"]}'Invoke-RestMethod -Method POST -Uri 'https://app.openlatch.ai/api/public/v1/zones/<zone_id>/dictionary/tables/<table_name>/values' -Headers $headers -ContentType 'application/json; charset=utf-8' -Body $body | ConvertTo-Json -Depth 20Autorisation
Section intitulée « Autorisation »| Rôle dans l’organisation | Ce point de terminaison |
|---|---|
owner | Autorisé |
admin | Autorisé |
editor | Autorisé |
viewer | Non autorisé |
Une clé porte le rôle que son propriétaire détient dans l’organisation. Voir Authentification.
Portée de clé d’API : zones:write
Paramètres de chemin
Section intitulée « Paramètres de chemin »| Paramètre | Type | Description |
|---|---|---|
zone_id | string (uuid) | Obligatoire. |
name | string | Obligatoire. |
Paramètres d’en-tête
Section intitulée « Paramètres d’en-tête »| Paramètre | Type | Description |
|---|---|---|
Idempotency-Key | string or null | Optional. Makes the request safe to retry: the same key and the same request, within 24 hours, returns the stored response with Idempotent-Replayed: true and runs once. |
Corps de la requête
Section intitulée « Corps de la requête »| Champ | Type | Description |
|---|---|---|
values | array of string | Obligatoire. |
- 200 OK — l’appel a réussi.
- 400 Bad Request —
BAD_REQUEST - 401 Unauthorized —
UNAUTHORIZED - 402 Payment Required —
license_expired - 403 Forbidden —
FEATURE_DISABLED,FORBIDDEN,INSUFFICIENT_SCOPE - 404 Not Found —
NOT_FOUND - 409 Conflict —
IDEMPOTENCY_IN_PROGRESS - 422 Unprocessable Content —
IDEMPOTENCY_KEY_REUSED,INVALID_ID,INVALID_PATTERN,VALIDATION_ERROR - 429 Too Many Requests —
TOO_MANY_REQUESTS - 500 Internal Server Error —
INTERNAL_SERVER_ERROR,tenant_isolation_violation - 503 Service Unavailable —
ENGINE_UNAVAILABLE,FEATURE_STATE_UNAVAILABLE,SERVICE_UNAVAILABLE
Champs de la réponse
Section intitulée « Champs de la réponse »| Champ | Type | Description |
|---|---|---|
data | object | Obligatoire. One dictionary table of the zone's chain, with its origin zone and its values. |
data.case_sensitive | boolean | Obligatoire. |
data.in_use | boolean | Obligatoire. True when deleting the table would answer DICTIONARY_TABLE_IN_USE. |
data.kinds | array of string | Obligatoire. |
data.name | string | Obligatoire. |
data.observation | string | Obligatoire. |
data.origin_zone_id | string | Obligatoire. |
data.question | string or null | |
data.values | array of object | Obligatoire. |
data.values[].origin_zone_id | string | Obligatoire. |
data.values[].value | string | Obligatoire. |
Exemple de réponse
Section intitulée « Exemple de réponse »{ "data": { "case_sensitive": false, "in_use": false, "kinds": [ "string" ], "name": "release-bot", "observation": "string", "origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "question": "string", "values": [ { "origin_zone_id": "3f6c1a2e-8b4d-4c1f-9a7e-0d5b2c8e4f10", "value": "string" } ] }}